package com.bjsxt.servlet;

import com.bjsxt.pojo.Users;
import com.fasterxml.jackson.databind.ObjectMapper;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/*
* 在请求中通过json格式传递数据
* */
@WebServlet("/json.do")
public class RequestJsonServlet extends HttpServlet {
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //通过字符输入流从请求体9中获取提交的json数据格式
        req.setCharacterEncoding("utf-8");
        String s= req.getReader().readLine();//基于字符串的格式从请求头来读取数据
        //需要使用Jackson将json格式的字符串转换成Java对象
        ObjectMapper objectMapper=new ObjectMapper();
        Users users= objectMapper.readValue(s, Users.class);//将类的模板对象
        System.out.println(users.getUserid()+" "+users.getUsername());
        resp.setContentType("application/json");
        PrintWriter pw=resp.getWriter();
        pw.print("ok!!");
        pw.flush();
        pw.close();

    }
}
